# Size Tailor

## Getting Started

### My Sizebay Admin

{% hint style="info" %}
If you don't have access to MySizebay Admin, contact our team at <support@sizebay.com>
{% endhint %}

First, you'll have to enable Size Tailor in a Category.&#x20;

You can do that by going to <https://my.sizebay.com/categories> and clicking on a Category (or creating a new one) like we're showing here:

![Size Tailor configuration through the Categories page](/files/-MjoundN5slPN8o1Shcm)

![Size Tailor being toggled whilst editing/creating a Category](/files/-MjovVkgihtWqJ37WDMD)

### Virtual Fitting Room

After enabling it through MySizebay, simply add to your VFR 4 configuration file the following snippet:

{% code title="config\_v4.json" %}

```javascript
{
    ... ommitted config file ...

    general: {
        ... ommitted general object ...

        sizeTailor: true, // globally enables Size Tailor

        ... ommitted general object ...
    }

    ... ommitted config file ...
}
```

{% endcode %}

{% hint style="info" %}
It can take a few minutes to reflect the update. Contact our development team at **<support@sizebay.com>** for any further issues.
{% endhint %}

## Usage

### Virtual Fitting Room

When enabled, Size Tailor will become available as a button through the "Fallback Measures" step. It looks something like this:

![Size Tailor button experience](/files/xzmsOVFNhy7iW3FKT0h6)

![Size Tailor step experience](/files/SXDgCOIuzVhyT21G8lFx)

### eCommerce Integration

As a result of using Size Tailor, our service will store into the `window` a new object called `sizeTailor` containing the profile measurements, available through `window.sizebayParams.sizeTailor`. This can be used to facilitate the integration between VFR and your eCommerce, allowing the measurements calculated by Sizebay to be used outside our webapp.

PS: The values shown in the object are measured in **centimeters** and **can't be configured** to return as other conversion types.

This is what our object looks like:

```javascript
// window.SizebayParams.sizeTailor
{
  "id": "szb-compose-size-tailor",
  "measures": {
    "waist": 91,
    "chest": 102,
    "hip": 106,
    "sleeve": 42,
    "length": 0,
    "insideLeg": 48,
    "neck": 41,
    "fist": 0,
    "underBust": 0,
    "poundWeight": null
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sizebay.com/size-and-fit-data-integration/size-tailor.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
